range Struct Reference

A port range. More...

`#include <networking.h>`

## Data Fields

gchar * | comment
gchar * | id
int | end
int | exclude
int | start
port_protocol_t | type

## Detailed Description

A port range.

## Field Documentation

## comment

gchar* range::comment

Comment.

## end

int range::end

End port. For single port end == start.

## exclude

int range::exclude

Whether to exclude range.

## id

gchar* range::id

UUID.

## start

int range::start

Start port.

## type

port_protocol_t range::type

Port protocol.

The documentation for this struct was generated from the following file:

- base/networking.h